import { GraphQLClient } from 'graphql-request';
import { UserData } from '../types/CustomStyling';
export declare const fetchTokens: (graphqlUrl: string, userData: UserData | undefined) => Promise<void>;
export declare const createApiClient: (graphqlUrl: string, userData?: UserData | undefined) => GraphQLClient;
export declare const createWsClient: (wsUrl: string, graphqlUrl: string, userData?: UserData | undefined) => import("graphql-ws").Client;
